For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardWebsiteCommunity
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • API Reference
      • GETList Tags
      • POSTCreate Tag
      • GETGet Tag
      • POSTUpdate Tag
      • POSTAdd Tag to Entities
      • POSTRemove Tag from Entities
      • DELDelete Tag
  • External Links
    • Agent API Docs
    • OpenAPI Spec
LogoLogo
DashboardWebsiteCommunity
API ReferenceTags

Add Tag to Entities

POST
/org/:org_id/project/:project_id/:entity_type/tag/:tag_id/add
POST
/api/v1/org/:org_id/project/:project_id/:entity_type/tag/:tag_id/add
$curl -X POST https://app.rightbrain.ai/api/v1/org/123e4567-e89b-12d3-a456-426614174000/project/123e4567-e89b-12d3-a456-426614174001/task/tag/01909843-3596-da54-4756-28af46917e74/add \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "entities": [
> "01909843-3596-da54-4756-28af46917e74"
> ]
>}'
Add a tag to multiple supported entities at once.
Was this page helpful?
Previous

Remove Tag from Entities

Next
Built with

Authentication

AuthorizationBearer

Bearer token authentication using JWT tokens from Ory Kratos/Hydra

Path parameters

org_idstringRequiredformat: "uuid"
The unique identifier of the organization.
project_idstringRequiredformat: "uuid"
The unique identifier of the project.
entity_typeenumRequired

The type of entity this tag applies to (task, task_revision, task_share, skill, or task_agent_revision).

Allowed values:
tag_idstringRequiredformat: "uuid"

The unique identifier (UUID) of the tag to operate on.

Request

This endpoint expects an object.
entitieslist of stringsRequired
List of entity IDs affected by this Tag operation

Response

Successful Response

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error